$NetBSD: patch-bin_nim-gdb,v 1.1 2020/06/21 07:43:29 ryoon Exp $

--- bin/nim-gdb.orig	2020-06-20 10:43:35.534552652 +0000
+++ bin/nim-gdb
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+# Exit if anything fails
+set -e
+
+which nim > /dev/null || (echo "nim not in PATH"; exit 1)
+which gdb > /dev/null || (echo "gdb not in PATH"; exit 1)
+
+if [[ "$(uname -s)" == "Darwin" || "$(uname -s)" == *"BSD" ]]; then
+  which greadlink > /dev/null || (echo "readlink not in PATH. Please install coreutils from homebrew."; exit 1)
+  READLINK=greadlink
+else
+  which readlink > /dev/null || (echo "readlink not in PATH."; exit 1)
+  READLINK=readlink
+fi
+
+# Find out where the pretty printer Python module is
+NIM_SYSROOT=$(dirname $(dirname $($READLINK -e $(which nim))))
+GDB_PYTHON_MODULE_PATH="$NIM_SYSROOT/tools/nim-gdb.py"
+
+# Run GDB with the additional arguments that load the pretty printers
+# Set the environment variable `NIM_GDB` to overwrite the call to a
+# different/specific command (defaults to `gdb`).
+NIM_GDB="${NIM_GDB:-gdb}"
+# exec replaces the new process of bash with gdb. It is always good to
+# have fewer processes.
+exec "${NIM_GDB}" -eval-command="source $GDB_PYTHON_MODULE_PATH" "$@"
